# PINRemoteImageCategory_Deprecated Protocol Reference

Conforms to | NSObject
Declared in | PINRemoteImageCategoryManager.h

## Overview

Deprecated version of protocol to implement on UIView subclasses to support PINRemoteImage

### `– setImageFromURL:` required method

Set the image from the given URL.

`- (void)setImageFromURL:(NSURL *)url`

#### Parameters

`url` | NSURL to fetch from.

#### Declared In

`PINRemoteImageCategoryManager.h`

### `– setImageFromURL:placeholderImage:` required method

Set the image from the given URL and set placeholder image while image at URL is being retrieved.

`- (void)setImageFromURL:(NSURL *)url placeholderImage:(UIImage *)placeholderImage`

#### Parameters

`url` | NSURL to fetch from.
`placeholderImage` | UIImage to set on the view while the image at URL is being retrieved.

#### Declared In

`PINRemoteImageCategoryManager.h`

### `– setImageFromURL:completion:` required method

Set the image from the given URL and call completion when finished.

`- (void)setImageFromURL:(NSURL *)url completion:(PINRemoteImageManagerImageCompletion)completion`

#### Parameters

`url` | NSURL to fetch from.
`completion` | Called when url has been retrieved and set on view.

#### Declared In

`PINRemoteImageCategoryManager.h`

### `– setImageFromURL:placeholderImage:completion:` required method

Set the image from the given URL, set placeholder while image at url is being retrieved and call completion when finished.

`- (void)setImageFromURL:(NSURL *)url placeholderImage:(UIImage *)placeholderImage completion:(PINRemoteImageManagerImageCompletion)completion`

#### Parameters

`url` | NSURL to fetch from.
`placeholderImage` | UIImage to set on the view while the image at URL is being retrieved.
`completion` | Called when url has been retrieved and set on view.

#### Declared In

`PINRemoteImageCategoryManager.h`

### `– setImageFromURL:processorKey:processor:` required method

Retrieve the image from the given URL, process it using the passed in processor block and set result on view.

`- (void)setImageFromURL:(NSURL *)url processorKey:(NSString *)processorKey processor:(PINRemoteImageManagerImageProcessor)processor`

#### Parameters

`url` | NSURL to fetch from.
`processorKey` | NSString key to uniquely identify processor. Used in caching.
`processor` | PINRemoteImageManagerImageProcessor processor block which should return the processed image.

#### Declared In

`PINRemoteImageCategoryManager.h`

### `– setImageFromURL:placeholderImage:processorKey:processor:` required method

Set placeholder on view and retrieve the image from the given URL, process it using the passed in processor block and set result on view.

`- (void)setImageFromURL:(NSURL *)url placeholderImage:(UIImage *)placeholderImage processorKey:(NSString *)processorKey processor:(PINRemoteImageManagerImageProcessor)processor`

#### Parameters

`url` | NSURL to fetch from.
`placeholderImage` | UIImage to set on the view while the image at URL is being retrieved.
`processorKey` | NSString key to uniquely identify processor. Used in caching.
`processor` | PINRemoteImageManagerImageProcessor processor block which should return the processed image.

#### Declared In

`PINRemoteImageCategoryManager.h`

### `– setImageFromURL:processorKey:processor:completion:` required method

Retrieve the image from the given URL, process it using the passed in processor block and set result on view. Call completion after image has been fetched, processed and set on view.

`- (void)setImageFromURL:(NSURL *)url processorKey:(NSString *)processorKey processor:(PINRemoteImageManagerImageProcessor)processor completion:(PINRemoteImageManagerImageCompletion)completion`

#### Parameters

`url` | NSURL to fetch from.
`processorKey` | NSString key to uniquely identify processor. Used in caching.
`processor` | PINRemoteImageManagerImageProcessor processor block which should return the processed image.
`completion` | Called when url has been retrieved and set on view.

#### Declared In

`PINRemoteImageCategoryManager.h`

### `– setImageFromURL:placeholderImage:processorKey:processor:completion:` required method

Set placeholder on view and retrieve the image from the given URL, process it using the passed in processor block and set result on view. Call completion after image has been fetched, processed and set on view.

`- (void)setImageFromURL:(NSURL *)url placeholderImage:(UIImage *)placeholderImage processorKey:(NSString *)processorKey processor:(PINRemoteImageManagerImageProcessor)processor completion:(PINRemoteImageManagerImageCompletion)completion`

#### Parameters

`url` | NSURL to fetch from.
`placeholderImage` | UIImage to set on the view while the image at URL is being retrieved.
`processorKey` | NSString key to uniquely identify processor. Used in caching.
`processor` | PINRemoteImageManagerImageProcessor processor block which should return the processed image.
`completion` | Called when url has been retrieved and set on view.

#### Declared In

`PINRemoteImageCategoryManager.h`

### `– setImageFromURLs:` required method

Retrieve one of the images at the passed in URLs depending on previous network performance and set result on view.

`- (void)setImageFromURLs:(NSArray *)urls`

#### Parameters

`urls` | NSArray of NSURLs sorted in increasing quality

#### Declared In

`PINRemoteImageCategoryManager.h`

### `– setImageFromURLs:placeholderImage:` required method

Set placeholder on view and retrieve one of the images at the passed in URLs depending on previous network performance and set result on view.

`- (void)setImageFromURLs:(NSArray *)urls placeholderImage:(UIImage *)placeholderImage`

#### Parameters

`urls` | NSArray of NSURLs sorted in increasing quality
`placeholderImage` | UIImage to set on the view while the image at URL is being retrieved.

#### Declared In

`PINRemoteImageCategoryManager.h`

### `– setImageFromURLs:placeholderImage:completion:` required method

Set placeholder on view and retrieve one of the images at the passed in URLs depending on previous network performance and set result on view. Call completion after image has been fetched and set on view.

`- (void)setImageFromURLs:(NSArray *)urls placeholderImage:(UIImage *)placeholderImage completion:(PINRemoteImageManagerImageCompletion)completion`

#### Parameters

`urls` | NSArray of NSURLs sorted in increasing quality
`placeholderImage` | UIImage to set on the view while the image at URL is being retrieved.
`completion` | Called when url has been retrieved and set on view.

#### Declared In

`PINRemoteImageCategoryManager.h`

### `– cancelImageDownload` required method

Cancels the image download. Guarantees that previous setImage calls will not have their results set on the image view after calling this (as opposed to PINRemoteImageManager which does not guarantee cancellation).

`- (void)cancelImageDownload`

#### Declared In

`PINRemoteImageCategoryManager.h`

### `– downloadImageOperationUUID` required method

Returns the NSUUID associated with any PINRemoteImage task currently running on the view.

`- (NSUUID *)downloadImageOperationUUID`

#### Return Value

NSUUID associated with any PINRemoteImage task currently running on the view.

#### Declared In

`PINRemoteImageCategoryManager.h`

### `– setDownloadImageOperationUUID:` required method

Set the current NSUUID associated with a PINRemoteImage task running on the view.

`- (void)setDownloadImageOperationUUID:(NSUUID *)downloadImageOperationUUID`

#### Parameters

`downloadImageOperationUUID` | NSUUID associated with a PINRemoteImage task.

#### Declared In

`PINRemoteImageCategoryManager.h`

### `)` required method

Whether the view should update with progress images (such as those provided by progressive JPEG images).

`@property (nonatomic, assign) BOOL updateWithProgress __attribute ( ( deprecated ( "use pin_@property (nonatomic, assign) BOOL updateWithProgress" )`

#### Return Value

BOOL value indicating whether the view should update with progress images

#### Declared In

`PINRemoteImageCategoryManager.h`